KeyspaceAttributes (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class KeyspaceAttributes

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions
  - - org.apache.cassandra.cql3.statements.KeyspaceAttributes

-     public final class KeyspaceAttributes
      extends PropertyDefinitions

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `logger, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyspaceAttributes()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KeyspaceParams` | `asAlteredKeyspaceParams(KeyspaceParams previous)`
    `KeyspaceParams` | `asNewKeyspaceParams()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getAllReplicationOptions()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getReplicationOptions()`
    `java.lang.String` | `getReplicationStrategyClass()`
    `void` | `validate()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

      `addProperty, addProperty, getBoolean, getDouble, getInt, getMap, getSimple, getString, hasProperty, toInt, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyspaceAttributes

          public KeyspaceAttributes()

  - ### Method Detail

    - #### validate

          public void validate()

    - #### getReplicationStrategyClass

          public java.lang.String getReplicationStrategyClass()

    - #### getReplicationOptions

          public java.util.Map<java.lang.String,java.lang.String> getReplicationOptions()

    - #### getAllReplicationOptions

          public java.util.Map<java.lang.String,java.lang.String> getAllReplicationOptions()

    - #### asNewKeyspaceParams

          public KeyspaceParams asNewKeyspaceParams()

    - #### asAlteredKeyspaceParams

          public KeyspaceParams asAlteredKeyspaceParams(KeyspaceParams previous)

Copyright © 2018 The Apache Software Foundation